Bug 97733 - random hangs after upgrade to kernel 2.4.20-18.8
random hangs after upgrade to kernel 2.4.20-18.8
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-19 17:10 EDT by Rutger Noot
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rutger Noot 2003-06-19 17:10:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
I upgraded to the new kernel-2.4.20-18.8 10 days ago. Since then, I've
experienced 3 random system lockups. It is difficult to say if it is related,
but each time the system had been resumed from suspend at least once (but the
hangs occured several hours afterwards). 

The machine is a toshiba 4090 laptop, Celeron 400MHz, I use apmd.

The lockups are extremely brutal, screen freezes and the system does not respond
to anything (no SysReq, no ping, not even BIOS functions like switching
internel<->external screen). Never happened before. 

I downgraded to kernel-2.4.20-13.8 to see if that helps. 

Version-Release number of selected component (if applicable):
kernel-2.4.20-18.8

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. Seems random
    

Additional info:
Comment 1 Rutger Noot 2003-07-02 04:51:26 EDT
No more problems since downgrading to kernel-2.4.20-13.8 
Comment 2 Anthon Pang 2003-08-07 04:43:27 EDT
I too have been having random hangs since upgrading to 2.4.20-18.8 (and 2.4.20-
19.8) on my Athlon box (RHN system details here: 
https://rhn.redhat.com/network/systems/details/index.pxt?sid=1000667094); 
meanwhile, I've had no problems on my dual-PIII.  I've also reverted to the 
last stable version (2.4.20-13.8).
Comment 3 Konstantin Olchanski 2003-09-24 18:29:16 EDT
I see the same problem: several dual athlon machines freeze with kernels newer
than 2.4.20-18. Freezes usually happen overnight. memtest86 finds no memory errors.

No freezes seen with 2.4.20-18.
No freezes on dual P-III machines.
No freezes on rackmounted dual athlon machines (no desktop users, no X11, very
few daemons).

K.O.
Comment 4 Bugzilla owner 2004-09-30 11:41:10 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.